package com.zjrs.zwnw.zj.po;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@TableName(value = "RS_ZJ_GCCRC_LS")
@ApiModel(value="GccrcLsPO对象", description="高层次人才认定历史表")
public class GccrcLsPO {
    @ApiModelProperty(value = "高层次人才认定历史表id")
    @TableId(value = "RS_ZJ_GCCRC_LS_LSH", type = IdType.ASSIGN_UUID)
    private String rsZjGccrcLsLsh;

    @ApiModelProperty(value = "高层次人才认定id")
    @TableField("RS_ZJ_GCCRC_LSH")
    private String rsZjGccrcLsh;

    @ApiModelProperty(value = "变更人")
    @TableField("BGR")
    private String bgr;

    @ApiModelProperty(value = "变更人所在机构")
    @TableField("BGRJG")
    private String bgrjg;

    @ApiModelProperty(value = "变更时间")
    @TableField("BGSJ")
    private String bgsj;

    @ApiModelProperty(value = "变更内容")
    @TableField("BGNR")
    private String bgnr;

    public String getRsZjGccrcLsLsh() {
        return rsZjGccrcLsLsh;
    }

    public void setRsZjGccrcLsLsh(String rsZjGccrcLsLsh) {
        this.rsZjGccrcLsLsh = rsZjGccrcLsLsh;
    }

    public String getRsZjGccrcLsh() {
        return rsZjGccrcLsh;
    }

    public void setRsZjGccrcLsh(String rsZjGccrcLsh) {
        this.rsZjGccrcLsh = rsZjGccrcLsh;
    }

    public String getBgr() {
        return bgr;
    }

    public void setBgr(String bgr) {
        this.bgr = bgr;
    }

    public String getBgrjg() {
        return bgrjg;
    }

    public void setBgrjg(String bgrjg) {
        this.bgrjg = bgrjg;
    }

    public String getBgsj() {
        return bgsj;
    }

    public void setBgsj(String bgsj) {
        this.bgsj = bgsj;
    }

    public String getBgnr() {
        return bgnr;
    }

    public void setBgnr(String bgnr) {
        this.bgnr = bgnr;
    }
}
